> ## Documentation Index
> Fetch the complete documentation index at: https://docs.companies.social/llms.txt
> Use this file to discover all available pages before exploring further.

# Company lookup

> Given an identifier type and value, returns all linked social profiles for that company.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/companies.social/openapi.documented.yml get /{idType}/{idValue}
openapi: 3.1.0
info:
  title: companies.social API
  version: 1.0.0
  description: Company social graph API
servers: []
security: []
paths:
  /{idType}/{idValue}:
    get:
      summary: Company lookup
      description: >-
        Given an identifier type and value, returns all linked social profiles
        for that company.
      parameters:
        - schema:
            type: string
            enum:
              - domain
              - twitter
              - linkedin
              - github
              - tiktok
              - instagram
              - facebook
              - youtube
            description: Identifier type
            example: domain
          required: true
          description: Identifier type
          name: idType
          in: path
        - schema:
            type: string
            minLength: 1
            description: Identifier value (e.g. stripe.com, stripe, @stripe)
            example: stripe.com
          required: true
          description: Identifier value (e.g. stripe.com, stripe, @stripe)
          name: idValue
          in: path
      responses:
        '200':
          description: Company social profile
          content:
            application/json:
              schema:
                type: object
                properties:
                  companyId:
                    type: string
                  domain:
                    type: string
                  socials:
                    type: object
                    additionalProperties:
                      type: string
                    example:
                      twitter: https://x.com/stripe
                      linkedin: https://linkedin.com/company/stripe
                      github: https://github.com/stripe
                  linkedin:
                    type: object
                    nullable: true
                    properties:
                      description:
                        type: string
                        nullable: true
                      followerCount:
                        type: number
                        nullable: true
                      employeeCount:
                        type: number
                        nullable: true
                      industry:
                        type: string
                        nullable: true
                      type:
                        type: string
                        nullable: true
                      founded:
                        type: number
                        nullable: true
                      locations:
                        type: array
                        items:
                          type: object
                          properties:
                            line1:
                              type: string
                              nullable: true
                            line2:
                              type: string
                              nullable: true
                            city:
                              type: string
                              nullable: true
                            geographic:
                              type: string
                              nullable: true
                            postalCode:
                              type: string
                              nullable: true
                            country:
                              type: string
                              nullable: true
                            isPrimary:
                              type: boolean
                            isHq:
                              type: boolean
                          required:
                            - line1
                            - line2
                            - city
                            - geographic
                            - postalCode
                            - country
                            - isPrimary
                            - isHq
                      funding:
                        type: object
                        nullable: true
                        properties:
                          totalRounds:
                            type: number
                            nullable: true
                          lastRoundType:
                            type: string
                            nullable: true
                          lastRoundDate:
                            type: string
                            nullable: true
                          lastRoundAmount:
                            type: number
                            nullable: true
                        required:
                          - totalRounds
                          - lastRoundType
                          - lastRoundDate
                          - lastRoundAmount
                      crunchbaseUrl:
                        type: string
                        nullable: true
                    required:
                      - description
                      - followerCount
                      - employeeCount
                      - industry
                      - type
                      - founded
                      - locations
                      - funding
                      - crunchbaseUrl
                  tiktok:
                    type: object
                    nullable: true
                    properties:
                      followerCount:
                        type: number
                        nullable: true
                      followingCount:
                        type: number
                        nullable: true
                      friendCount:
                        type: number
                        nullable: true
                      likeCount:
                        type: number
                        nullable: true
                      diggCount:
                        type: number
                        nullable: true
                      videoCount:
                        type: number
                        nullable: true
                      bio:
                        type: string
                        nullable: true
                      verified:
                        type: boolean
                      isOrganization:
                        type: boolean
                      ttSeller:
                        type: boolean
                      createTime:
                        type: number
                        nullable: true
                      commentSetting:
                        type: number
                        nullable: true
                      duetSetting:
                        type: number
                        nullable: true
                      stitchSetting:
                        type: number
                        nullable: true
                      downloadSetting:
                        type: number
                        nullable: true
                      bioLink:
                        type: string
                        nullable: true
                      category:
                        type: string
                        nullable: true
                      appLinks:
                        type: object
                        nullable: true
                        properties:
                          ios:
                            type: string
                            nullable: true
                          android:
                            type: string
                            nullable: true
                        required:
                          - ios
                          - android
                    required:
                      - followerCount
                      - followingCount
                      - friendCount
                      - likeCount
                      - diggCount
                      - videoCount
                      - bio
                      - verified
                      - isOrganization
                      - ttSeller
                      - createTime
                      - commentSetting
                      - duetSetting
                      - stitchSetting
                      - downloadSetting
                      - bioLink
                      - category
                      - appLinks
                  github:
                    type: object
                    nullable: true
                    properties:
                      followers:
                        type: number
                        nullable: true
                      publicRepos:
                        type: number
                      location:
                        type: string
                        nullable: true
                      email:
                        type: string
                        nullable: true
                      blog:
                        type: string
                        nullable: true
                      twitterUsername:
                        type: string
                        nullable: true
                      isVerified:
                        type: boolean
                      description:
                        type: string
                        nullable: true
                      name:
                        type: string
                        nullable: true
                      createdAt:
                        type: string
                        nullable: true
                      totalStars:
                        type: number
                      totalForks:
                        type: number
                      topLanguages:
                        type: array
                        items:
                          type: string
                      topTopics:
                        type: array
                        items:
                          type: string
                      topRepos:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            stars:
                              type: number
                            forks:
                              type: number
                            language:
                              type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                          required:
                            - name
                            - stars
                            - forks
                            - language
                            - description
                      sponsoring:
                        type: array
                        items:
                          type: string
                    required:
                      - followers
                      - publicRepos
                      - location
                      - email
                      - blog
                      - twitterUsername
                      - isVerified
                      - description
                      - name
                      - createdAt
                      - totalStars
                      - totalForks
                      - topLanguages
                      - topTopics
                      - topRepos
                      - sponsoring
                  youtube:
                    type: object
                    nullable: true
                    properties:
                      name:
                        type: string
                        nullable: true
                      description:
                        type: string
                        nullable: true
                      subscriberCount:
                        type: number
                        nullable: true
                      videoCount:
                        type: number
                        nullable: true
                      verified:
                        type: boolean
                      keywords:
                        type: array
                        items:
                          type: string
                      channelId:
                        type: string
                        nullable: true
                      handle:
                        type: string
                        nullable: true
                    required:
                      - name
                      - description
                      - subscriberCount
                      - videoCount
                      - verified
                      - keywords
                      - channelId
                      - handle
                  sources:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        version:
                          type: string
                        scrapedAt:
                          type: string
                        cached:
                          type: boolean
                      required:
                        - name
                        - version
                        - scrapedAt
                        - cached
                required:
                  - companyId
                  - domain
                  - socials
                  - linkedin
                  - tiktok
                  - github
                  - youtube
                  - sources
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Company not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      security:
        - apiKey: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import CompaniesSocial from '@alloy.rest/companies.social';


            const client = new CompaniesSocial({
              apiKey: process.env['COMPANIES_SOCIAL_API_KEY'], // This is the default and can be omitted
            });


            const response = await client.lookupCompany('stripe.com', { idType:
            'domain' });


            console.log(response.companyId);
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/alloy-rest/companies.social-sdk-go\"\n\t\"github.com/alloy-rest/companies.social-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := companiessocial.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.LookupCompany(\n\t\tcontext.TODO(),\n\t\t\"stripe.com\",\n\t\tcompaniessocial.LookupCompanyParams{\n\t\t\tIDType: companiessocial.LookupCompanyParamsIDTypeDomain,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.CompanyID)\n}\n"
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````